> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Blog Post

POST https://api.bigcommerce.com/stores/{store_hash}/v2/blog/posts
Content-Type: application/json

Creates a *Blog Post*.

**Required Fields**

* `title`
* `body`

**Notes**

* When including `published_date` in a request, supply it as a flat date string (not an object) in valid RFC 2822. The following example request includes a `published_date` in RFC 2822 format.
* Blog posts default to draft status. To publish blog posts to the storefront, set the `is_published` property to `true`.
* If a custom URL is not provided, the post’s URL will be generated based on the value of `title`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/store-content/blog-posts/create-blog-posts

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a blogPost_Base_Post.

- `title` (string, required) — Title of this blog post.
- `body` (string, required) — Text body of the blog post.
- `url` (string, optional) — URL for the public blog post.
- `tags` (list of string, optional) — Tags to characterize the blog post.
- `is_published` (boolean, optional, default: false) — Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
- `meta_description` (string, optional) — Description text for this blog post’s `<meta/>` element.
- `meta_keywords` (string, optional) — Keywords for this blog post’s `<meta/>` element.
- `author` (string, optional) — Name of the blog post’s author.
- `thumbnail_path` (string, optional) — Local path to a thumbnail uploaded to `/product_images/` using [WebDAV](https://support.bigcommerce.com/s/article/File-Access-WebDAV).
- `published_date` (string, optional)

## Response

### 200

OK

- `title` (string, optional) — Title of this blog post.
- `url` (string, optional) — URL for the public blog post.
- `preview_url` (string, optional) — URL to preview the blog post. READ-ONLY.
- `body` (string, optional) — Text body of the blog post.
- `tags` (list of string, optional) — Tags to characterize the blog post.
- `summary` (string, optional) — Summary of the blog post. READ-ONLY.
- `is_published` (boolean, optional, default: false) — Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
- `published_date` (publishedDate, optional)
- `published_date_iso8601` (string, optional) — Published date in `ISO 8601` format.
- `meta_description` (string, optional, nullable) — Description text for this blog post’s `<meta/>` element.
- `meta_keywords` (string, optional, nullable) — Keywords for this blog post’s `<meta/>` element.
- `author` (string, optional, nullable) — Name of the blog post’s author.
- `thumbnail_path` (string, optional, nullable) — Local path to a thumbnail uploaded to `/product_images/` using [WebDAV](https://support.bigcommerce.com/s/article/File-Access-WebDAV).

### 207

Multiple operations have taken place and the status for each operation can be viewed in the body of the response. Typically indicates that a partial failure has occurred, such as when a `POST` or `PUT` request is successful, but saving the URL has failed.

## Types

### publishedDate

- `timezone_type` (integer, optional)
- `date` (datetime, optional)
- `timezone` (string, optional)

## Examples

### Response

**Request**

```json
{
  "title": "Welcome to BigCommerce",
  "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
  "url": "/blog/welcome-bigcommerce/",
  "tags": [
    "string"
  ],
  "is_published": true,
  "meta_description": "Welcome Post",
  "meta_keywords": "BigCommerce, welcome, ecommerce",
  "author": "BigCommerce",
  "thumbnail_path": "string",
  "published_date": "Thu, 18 May 2023 13:26:42 -0000",
  "preview_url": "/blog/welcome-bigcommerce/",
  "published_date_iso8601": "5/18/2023 1:26:42 PM",
  "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>"
}
```

**Response**

```json
{
  "title": "Welcome to BigCommerce",
  "url": "/blog/welcome-bigcommerce/",
  "preview_url": "/blog/welcome-bigcommerce/",
  "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
  "tags": [
    "BigCommerce",
    "welcome",
    "ecommerce"
  ],
  "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>",
  "is_published": true,
  "published_date": {
    "timezone_type": 1,
    "date": "2018-05-18T08:26:42.000Z",
    "timezone": "+00:00"
  },
  "published_date_iso8601": "2018-05-18T13:26:42.000Z",
  "meta_description": "Welcome Post",
  "meta_keywords": "BigCommerce, welcome, ecommerce",
  "author": "BigCommerce",
  "thumbnail_path": "",
  "id": 3
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/blog/posts"

payload = {
    "title": "Welcome to BigCommerce",
    "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
    "url": "/blog/welcome-bigcommerce/",
    "tags": ["string"],
    "is_published": True,
    "meta_description": "Welcome Post",
    "meta_keywords": "BigCommerce, welcome, ecommerce",
    "author": "BigCommerce",
    "thumbnail_path": "string",
    "published_date": "Thu, 18 May 2023 13:26:42 -0000",
    "preview_url": "/blog/welcome-bigcommerce/",
    "published_date_iso8601": "5/18/2023 1:26:42 PM",
    "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/blog/posts';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"title":"Welcome to BigCommerce","body":"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>","url":"/blog/welcome-bigcommerce/","tags":["string"],"is_published":true,"meta_description":"Welcome Post","meta_keywords":"BigCommerce, welcome, ecommerce","author":"BigCommerce","thumbnail_path":"string","published_date":"Thu, 18 May 2023 13:26:42 -0000","preview_url":"/blog/welcome-bigcommerce/","published_date_iso8601":"5/18/2023 1:26:42 PM","summary":"<p>We power ecommerce websites for successful retailers all over the world</p>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/blog/posts"

	payload := strings.NewReader("{\n  \"title\": \"Welcome to BigCommerce\",\n  \"body\": \"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>\",\n  \"url\": \"/blog/welcome-bigcommerce/\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"is_published\": true,\n  \"meta_description\": \"Welcome Post\",\n  \"meta_keywords\": \"BigCommerce, welcome, ecommerce\",\n  \"author\": \"BigCommerce\",\n  \"thumbnail_path\": \"string\",\n  \"published_date\": \"Thu, 18 May 2023 13:26:42 -0000\",\n  \"preview_url\": \"/blog/welcome-bigcommerce/\",\n  \"published_date_iso8601\": \"5/18/2023 1:26:42 PM\",\n  \"summary\": \"<p>We power ecommerce websites for successful retailers all over the world</p>\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/blog/posts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"title\": \"Welcome to BigCommerce\",\n  \"body\": \"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>\",\n  \"url\": \"/blog/welcome-bigcommerce/\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"is_published\": true,\n  \"meta_description\": \"Welcome Post\",\n  \"meta_keywords\": \"BigCommerce, welcome, ecommerce\",\n  \"author\": \"BigCommerce\",\n  \"thumbnail_path\": \"string\",\n  \"published_date\": \"Thu, 18 May 2023 13:26:42 -0000\",\n  \"preview_url\": \"/blog/welcome-bigcommerce/\",\n  \"published_date_iso8601\": \"5/18/2023 1:26:42 PM\",\n  \"summary\": \"<p>We power ecommerce websites for successful retailers all over the world</p>\"\n}"

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v2/blog/posts")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"title\": \"Welcome to BigCommerce\",\n  \"body\": \"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>\",\n  \"url\": \"/blog/welcome-bigcommerce/\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"is_published\": true,\n  \"meta_description\": \"Welcome Post\",\n  \"meta_keywords\": \"BigCommerce, welcome, ecommerce\",\n  \"author\": \"BigCommerce\",\n  \"thumbnail_path\": \"string\",\n  \"published_date\": \"Thu, 18 May 2023 13:26:42 -0000\",\n  \"preview_url\": \"/blog/welcome-bigcommerce/\",\n  \"published_date_iso8601\": \"5/18/2023 1:26:42 PM\",\n  \"summary\": \"<p>We power ecommerce websites for successful retailers all over the world</p>\"\n}")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v2/blog/posts', [
  'body' => '{
  "title": "Welcome to BigCommerce",
  "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
  "url": "/blog/welcome-bigcommerce/",
  "tags": [
    "string"
  ],
  "is_published": true,
  "meta_description": "Welcome Post",
  "meta_keywords": "BigCommerce, welcome, ecommerce",
  "author": "BigCommerce",
  "thumbnail_path": "string",
  "published_date": "Thu, 18 May 2023 13:26:42 -0000",
  "preview_url": "/blog/welcome-bigcommerce/",
  "published_date_iso8601": "5/18/2023 1:26:42 PM",
  "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/blog/posts");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"title\": \"Welcome to BigCommerce\",\n  \"body\": \"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>\",\n  \"url\": \"/blog/welcome-bigcommerce/\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"is_published\": true,\n  \"meta_description\": \"Welcome Post\",\n  \"meta_keywords\": \"BigCommerce, welcome, ecommerce\",\n  \"author\": \"BigCommerce\",\n  \"thumbnail_path\": \"string\",\n  \"published_date\": \"Thu, 18 May 2023 13:26:42 -0000\",\n  \"preview_url\": \"/blog/welcome-bigcommerce/\",\n  \"published_date_iso8601\": \"5/18/2023 1:26:42 PM\",\n  \"summary\": \"<p>We power ecommerce websites for successful retailers all over the world</p>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "title": "Welcome to BigCommerce",
  "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
  "url": "/blog/welcome-bigcommerce/",
  "tags": ["string"],
  "is_published": true,
  "meta_description": "Welcome Post",
  "meta_keywords": "BigCommerce, welcome, ecommerce",
  "author": "BigCommerce",
  "thumbnail_path": "string",
  "published_date": "Thu, 18 May 2023 13:26:42 -0000",
  "preview_url": "/blog/welcome-bigcommerce/",
  "published_date_iso8601": "5/18/2023 1:26:42 PM",
  "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/blog/posts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Request**

```json
{
  "title": "Welcome to BigCommerce",
  "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
  "url": "/blog/welcome-bigcommerce/",
  "tags": [
    "string"
  ],
  "is_published": true,
  "meta_description": "Welcome Post",
  "meta_keywords": "BigCommerce, welcome, ecommerce",
  "author": "BigCommerce",
  "thumbnail_path": "string",
  "published_date": "Thu, 18 May 2023 13:26:42 -0000",
  "preview_url": "/blog/welcome-bigcommerce/",
  "published_date_iso8601": "5/18/2023 1:26:42 PM",
  "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/blog/posts"

payload = {
    "title": "Welcome to BigCommerce",
    "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
    "url": "/blog/welcome-bigcommerce/",
    "tags": ["string"],
    "is_published": True,
    "meta_description": "Welcome Post",
    "meta_keywords": "BigCommerce, welcome, ecommerce",
    "author": "BigCommerce",
    "thumbnail_path": "string",
    "published_date": "Thu, 18 May 2023 13:26:42 -0000",
    "preview_url": "/blog/welcome-bigcommerce/",
    "published_date_iso8601": "5/18/2023 1:26:42 PM",
    "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/blog/posts';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"title":"Welcome to BigCommerce","body":"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>","url":"/blog/welcome-bigcommerce/","tags":["string"],"is_published":true,"meta_description":"Welcome Post","meta_keywords":"BigCommerce, welcome, ecommerce","author":"BigCommerce","thumbnail_path":"string","published_date":"Thu, 18 May 2023 13:26:42 -0000","preview_url":"/blog/welcome-bigcommerce/","published_date_iso8601":"5/18/2023 1:26:42 PM","summary":"<p>We power ecommerce websites for successful retailers all over the world</p>"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/blog/posts"

	payload := strings.NewReader("{\n  \"title\": \"Welcome to BigCommerce\",\n  \"body\": \"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>\",\n  \"url\": \"/blog/welcome-bigcommerce/\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"is_published\": true,\n  \"meta_description\": \"Welcome Post\",\n  \"meta_keywords\": \"BigCommerce, welcome, ecommerce\",\n  \"author\": \"BigCommerce\",\n  \"thumbnail_path\": \"string\",\n  \"published_date\": \"Thu, 18 May 2023 13:26:42 -0000\",\n  \"preview_url\": \"/blog/welcome-bigcommerce/\",\n  \"published_date_iso8601\": \"5/18/2023 1:26:42 PM\",\n  \"summary\": \"<p>We power ecommerce websites for successful retailers all over the world</p>\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/blog/posts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"title\": \"Welcome to BigCommerce\",\n  \"body\": \"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>\",\n  \"url\": \"/blog/welcome-bigcommerce/\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"is_published\": true,\n  \"meta_description\": \"Welcome Post\",\n  \"meta_keywords\": \"BigCommerce, welcome, ecommerce\",\n  \"author\": \"BigCommerce\",\n  \"thumbnail_path\": \"string\",\n  \"published_date\": \"Thu, 18 May 2023 13:26:42 -0000\",\n  \"preview_url\": \"/blog/welcome-bigcommerce/\",\n  \"published_date_iso8601\": \"5/18/2023 1:26:42 PM\",\n  \"summary\": \"<p>We power ecommerce websites for successful retailers all over the world</p>\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v2/blog/posts")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"title\": \"Welcome to BigCommerce\",\n  \"body\": \"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>\",\n  \"url\": \"/blog/welcome-bigcommerce/\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"is_published\": true,\n  \"meta_description\": \"Welcome Post\",\n  \"meta_keywords\": \"BigCommerce, welcome, ecommerce\",\n  \"author\": \"BigCommerce\",\n  \"thumbnail_path\": \"string\",\n  \"published_date\": \"Thu, 18 May 2023 13:26:42 -0000\",\n  \"preview_url\": \"/blog/welcome-bigcommerce/\",\n  \"published_date_iso8601\": \"5/18/2023 1:26:42 PM\",\n  \"summary\": \"<p>We power ecommerce websites for successful retailers all over the world</p>\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v2/blog/posts', [
  'body' => '{
  "title": "Welcome to BigCommerce",
  "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
  "url": "/blog/welcome-bigcommerce/",
  "tags": [
    "string"
  ],
  "is_published": true,
  "meta_description": "Welcome Post",
  "meta_keywords": "BigCommerce, welcome, ecommerce",
  "author": "BigCommerce",
  "thumbnail_path": "string",
  "published_date": "Thu, 18 May 2023 13:26:42 -0000",
  "preview_url": "/blog/welcome-bigcommerce/",
  "published_date_iso8601": "5/18/2023 1:26:42 PM",
  "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/blog/posts");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"title\": \"Welcome to BigCommerce\",\n  \"body\": \"<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>\",\n  \"url\": \"/blog/welcome-bigcommerce/\",\n  \"tags\": [\n    \"string\"\n  ],\n  \"is_published\": true,\n  \"meta_description\": \"Welcome Post\",\n  \"meta_keywords\": \"BigCommerce, welcome, ecommerce\",\n  \"author\": \"BigCommerce\",\n  \"thumbnail_path\": \"string\",\n  \"published_date\": \"Thu, 18 May 2023 13:26:42 -0000\",\n  \"preview_url\": \"/blog/welcome-bigcommerce/\",\n  \"published_date_iso8601\": \"5/18/2023 1:26:42 PM\",\n  \"summary\": \"<p>We power ecommerce websites for successful retailers all over the world</p>\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "title": "Welcome to BigCommerce",
  "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
  "url": "/blog/welcome-bigcommerce/",
  "tags": ["string"],
  "is_published": true,
  "meta_description": "Welcome Post",
  "meta_keywords": "BigCommerce, welcome, ecommerce",
  "author": "BigCommerce",
  "thumbnail_path": "string",
  "published_date": "Thu, 18 May 2023 13:26:42 -0000",
  "preview_url": "/blog/welcome-bigcommerce/",
  "published_date_iso8601": "5/18/2023 1:26:42 PM",
  "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/blog/posts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```